Name: kexec-tools
Version: 1.102pre
Release: 126%{?dist}.4
License: GPL
Group: Applications/System
Summary: The kexec/kdump userspace component.
Source0: %{name}-testing-20070330.tar.bz2
Source1: kdump.init
Source2: kdump.sysconfig
Source3: kdump.sysconfig.x86_64
Source4: kdump.sysconfig.i386
Source5: kdump.sysconfig.ppc64
Source6: kdump.sysconfig.ia64
Source7: mkdumprd
Source8: kdump.conf
Source9: makedumpfile-1.2.0.tar.gz
Source10: kexec-kdump-howto.txt
Source11: firstboot_kdump.py
Source12: mkdumprd.8
Source13: kexec-tools-po.tar.gz
Source14: 98-kexec.rules
Source15: kdump.conf.5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): coreutils chkconfig sed 
Requires: busybox >= 1.2.0
BuildRequires: zlib-devel elfutils-devel-static glib2-devel
BuildRequires: pkgconfig intltool gettext
ExcludeArch: ppc
%ifarch %{ix86} x86_64 ppc64 ia64
Obsoletes: diskdumputils netdump
%endif

#
# Patches 0 through 100 are meant for x86 kexec-tools enablement
#
Patch1: kexec-tools-1.102pre-elf-core-type.patch
Patch2: kexec-tools-1.102pre-bzimage-options.patch
Patch3: kexec-tools-1.102pre-cmdline-length.patch
Patch4: kexec-tools-1.102pre-i686-64G-limit.patch

#
# Patches 101 through 200 are meant for x86_64 kexec-tools enablement
#
Patch101: kexec-tools-1.101-disable-kdump-x8664.patch
Patch102: kexec-tools-1.101-x86_64-exactmap.patch
Patch103: kexec-tools-1.102pre-x86_64-exclude-gart.patch
Patch104: kexec-tools-1.102pre-x86_64-add_reserve_e820.patch
Patch105: kexec-tools-1.102pre-e820.patch
Patch106: kexec-tools-1.102pre-x86_64-phys40bit-limitation.patch

#
# Patches 201 through 300 are meant for ia64 kexec-tools enablement
#
Patch201: kexec-tools-1.102pre-ia64-efi_ususable_map.patch
Patch202: kexec-tools-1.102pre-ia64-altix_vmcore.patch
Patch203: kexec-tools-1.102pre-ia64-efi-PA.patch

#
# Patches 301 through 400 are meant for ppc64 kexec-tools enablement
#
Patch301: kexec-tools-1.102pre-ppc64_rmo_top.patch
Patch302: kexec-tools-1.102pre-ppc64-rtas.patch
Patch303: kexec-tools-1.102pre-treewords.patch

#
# Patches 401 through 500 are meant for s390 kexec-tools enablement
#

#
# Patches 501 through 600 are meant for ppc kexec-tools enablement
#
Patch501: kexec-tools-1.102pre-ppc-fixup.patch

#
# Patches 601 onward are generic patches
#
Patch601: kexec-tools-1.102pre-elf-format.patch
Patch602: kexec-tools-1.102pre-x86-add_buffer_retry.patch
Patch603: kexec-tools-1.102pre-makedumpfile-xen-syms.patch
Patch604: kexec-tools-1.102pre-disable-kexec-test.patch
Patch605: kexec-tools-1.102pre-vmcoreinfo.patch
Patch606: kexec-tools-1.102pre-makedumpfile-xen-stdout.patch
Patch607: kexec-tools-1.102pre-x86-phys_base.patch
Patch608: kexec-tools-1.102pre-makedumpfile_help.patch
Patch609: kexec-tools-1.102pre-overlapping-loadseg.patch
Patch610: kexec-tools-1.02pre-vmcoreinfo-xen.patch
Patch611: kexec-tools-1.102pre-makedumpfile-cache-reset.patch
Patch612: kexec-tools-1.02pre-makedumpfile-unlink.patch
Patch613: kexec-tools-1.102pre-makedumpfile-dump-dmesg.patch
Patch614: kexec-tools-1.102pre-makedumpfile-utsname.patch
Patch615: kexec-tools-1.102pre-makedumpfile-machdep.patch
Patch616: kexec-tools-1.102pre-makedumpfile-initalize-dump-dmesg.patch
Patch617: kexec-tools-1.102pre-makedumpfile-refiltering.patch

%description
kexec-tools provides /sbin/kexec binary that facilitates a new
kernel to boot using the kernel's kexec feature either on a
normal or a panic reboot. This package contains the /sbin/kexec
binary and ancillary utilities that together form the userspace
component of the kernel's kexec feature.

%prep
%setup -q -n %{name}-testing-20070330

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1

%patch201 -p1
%patch202 -p1
%patch203 -p1

%patch301 -p1
%patch302 -p1
%patch303 -p1

%patch501 -p1

mkdir -p -m755 kcp
tar -z -x -v -f %{SOURCE9}


%patch601 -p1
%patch602 -p1
%patch603 -p1
%patch604 -p1
%patch605 -p1
%patch606 -p1
%patch607 -p1
%patch608 -p1
%patch609 -p1
%patch610 -p1
%patch611 -p1
%patch612 -p1
%patch613 -p1
%patch614 -p1
%patch615 -p1
%patch616 -p1
%patch617 -p1

tar -z -x -v -f %{SOURCE13}

%ifarch ppc
%define archdef ARCH=ppc
%endif

%build
%ifarch ia64
# ia64 gcc seems to have a problem adding -fexception -fstack-protect and
# -param ssp-protect-size, like the %configure macro does
# while that shouldn't be a problem, and it still builds fine, it results in
# the kdump kernel hanging on kexec boot.  I don't yet know why, but since those
# options aren't critical, I'm just overrideing them here for ia64
export CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2"
%endif

# *sigh*, I hate this, but theres not another good way to do it.
# kexec needs zlib to handle/load compressed kernel files, it also
# needs to be able to reboot the system after everything has been unmounted
# This presents a problem, since zlib is located in /usr/lib/libz.so.
# The only real solutions we have are:
# 1) statically link against zlib 
# 2) write a separate statically linked utility
# I don't like either solution, especiatlly since Fedora has mandated dynamic
# but it seems like (1) is the easiest way forward.  Unfortunatley the config
# script automatically adds -lz to everything, so to work around that, I have
# to:
# a) export LIBS="-Wl,-Bstatic -lz -Wl,-Bdynamic"
# b) configure --without-zlib
# This is rather horrendous, but whatever, kexec is always last on anyones
# mind ayway
%configure \
%ifarch ppc64
    --host=powerpc64-redhat-linux-gnu \
    --build=powerpc64-redhat-linux-gnu \
%endif
    --sbindir=/sbin
# Hack hack hack
sed -i 's/-lz/-Wl,-Bstatic -lz -Wl,-Bdynamic/' Makefile.conf
rm -f kexec-tools.spec.in
cp %{SOURCE10} . 
make
%ifarch %{ix86} x86_64 ia64 ppc64
make -C makedumpfile
%endif
make -C kexec-tools-po

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p -m755 $RPM_BUILD_ROOT%{_localstatedir}/crash
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man5/
mkdir -p -m755 $RPM_BUILD_ROOT%{_docdir}
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/kdump
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/kdump
if [ -f $RPM_SOURCE_DIR/kdump.sysconfig.%{_target_cpu} ]; then
	install -m 644 $RPM_SOURCE_DIR/kdump.sysconfig.%{_target_cpu} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kdump
else
	install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kdump
fi
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT/sbin/mkdumprd
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/kdump.conf
install -m 644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8/kexec.8
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/kdump/firstboot_kdump.py
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_mandir}/man8/mkdumprd.8
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/98-kexec.rules
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT%{_mandir}/man5/kdump.conf.5

%ifarch %{ix86} x86_64 ia64 ppc64
install -m 755 makedumpfile/makedumpfile $RPM_BUILD_ROOT/sbin/makedumpfile
%endif
make -C kexec-tools-po install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/kdump.conf
/sbin/chkconfig --add kdump
# This portion of the script is temporary.  Its only here
# to fix up broken boxes that require special settings 
# in /etc/sysconfig/kdump.  It will be removed when 
# These systems are fixed.

if [ -d /proc/bus/mckinley ]
then
	# This is for HP zx1 machines
	# They require machvec=dig on the kernel command line
	sed -e's/\(^KDUMP_COMMANDLINE_APPEND.*\)\("$\)/\1 machvec=dig"/' \
	/etc/sysconfig/kdump > /etc/sysconfig/kdump.new
	mv /etc/sysconfig/kdump.new /etc/sysconfig/kdump
fi
if [ -f /proc/bus/mckinley/sx?000 ]
then
	# This is for HP sxX000 series boxes 
	# They require the --noio option to kexec 
	# since they don't support legacy io
	sed -e's/\(^KEXEC_ARGS.*\)\("$\)/\1 --noio"/' \
	/etc/sysconfig/kdump > /etc/sysconfig/kdump.new
	mv /etc/sysconfig/kdump.new /etc/sysconfig/kdump
fi
if [ -d /proc/sgi_sn ]
then
	# This is for SGI SN boxes
	# They require the --noio option to kexec 
	# since they don't support legacy io
	sed -e's/\(^KEXEC_ARGS.*\)\("$\)/\1 --noio"/' \
	/etc/sysconfig/kdump > /etc/sysconfig/kdump.new
	mv /etc/sysconfig/kdump.new /etc/sysconfig/kdump
fi

%postun

if [ "$1" -ge 1 ]; then
	/sbin/service kdump condrestart > /dev/null 2>&1 || :
fi

%preun
if [ "$1" = 0 ]; then
	/sbin/service kdump stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del kdump
fi
exit 0

%triggerin -- firstboot
# we enable kdump everywhere except for paravirtualized xen domains; check here
if [ -f /proc/xen/capabilities ]; then
	if [ -z `grep control_d /proc/xen/capabilities` ]; then
		exit 0
	fi
fi
if [ ! -e %{_datadir}/firstboot/modules/firstboot_kdump.py ]
then
	ln -s %{_datadir}/kdump/firstboot_kdump.py %{_datadir}/firstboot/modules/firstboot_kdump.py
fi

%triggerin -- kernel-kdump
touch %{_sysconfdir}/kdump.conf


%triggerun -- firstboot
rm -f %{_datadir}/firstboot/modules/firstboot_kdump.py

%triggerpostun -- kernel kernel-xen kernel-debug kernel-PAE kernel-kdump
# List out the initrds here, strip out version nubmers
# and search for corresponding kernel installs, if a kernel
# is not found, remove the corresponding kdump initrd

#start by getting a list of all the kdump initrds
MY_ARCH=`uname -m`
if [ "$MY_ARCH" == "ia64" ]
then
	IMGDIR=/boot/efi/efi/redhat
else
	IMGDIR=/boot
fi

for i in `ls $IMGDIR/initrd*kdump.img 2>/dev/null`
do
	KDVER=`echo $i | sed -e's/^.*initrd-//' -e's/kdump.*$//'`
	if [ ! -e $IMGDIR/vmlinuz-$KDVER ]
	then
		# We have found an initrd with no corresponding kernel
		# so we should be able to remove it
		rm -f $i
	fi
done

%files -f %{name}.lang
%defattr(-,root,root,-)
/sbin/*
%{_datadir}/kdump
%config(noreplace,missingok) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/kdump
%config(noreplace,missingok) %verify(not md5 size mtime) %{_sysconfdir}/kdump.conf
%config %{_sysconfdir}/rc.d/init.d/kdump
%config %{_sysconfdir}/udev/rules.d/*
%dir %{_localstatedir}/crash
%{_mandir}/man8/*
%{_mandir}/man5/*
%doc News
%doc COPYING
%doc TODO
%doc kexec-kdump-howto.txt

%changelog
* Thu Jan 13 2011 Amerigo Wang <amwang@redhat.com> - 1.102pre-126.4
- Add ext4 module. Resolve bug 667966.

* Wed Jan 12 2011 Neil Horman - 1.102pre-126.3
- Forcing brew rebuild

* Wed Jan 12 2011 Amerigo Wang <amwang@redhat.com> - 1.102pre-126.2
- Check fsck.ext4 binary before include it. Resolve bug 667966.

* Wed Jan 12 2011 Amerigo Wang <amwang@redhat.com> - 1.102pre-126.1
- Add ext4 support, from Dave Maley. Resolve bug 667966.

* Tue Nov 30 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-126
- Check cpuid only on x86, bypass other arch. Resolve bug 652500.

* Wed Nov 24 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-125
- Check makedumpfile when using ssh, resolve bz 657198.

* Wed Nov 24 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-124
- Unify the default action handling code, resolve bz654997.

* Thu Nov 18 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-123
- Remove hugepage allocations from kdump boot (bz 647046)

* Thu Nov 11 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-122
- Fix an obsolete message kdump.init. Resolve bug 567708.

* Thu Nov 11 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-121
- Remove obsolete comments in sysconfig files. Resolve bug 567708.

* Thu Nov 11 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-120
- Recover the default final action in kdump.init. Resolve bug 647627.

* Wed Nov 10 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-119
- Reboot when there is no default action. Resolve bug 647627.

* Mon Nov 08 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-118
- Copy all libc variants, resolve bug 648766, bug 648416.

* Tue Nov 02 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-117
- Use cpuid to detect HVM, resolve bug 643659.

* Tue Nov 02 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-116
- Specify kernel version for depmod, resolve bug 646791.

* Tue Nov 02 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-115
- Always get the IPv4 address for a host, resolve bug 648771.

* Tue Oct 26 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-114
- Fixed udhcpc script NAK handling (bz 515208)
 
* Tue Oct 19 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-113
- Use tcp protocol for nfs, resolve bug 642552.

* Tue Oct 19 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-112
- Fix a typo in the previous change, resolve bug 640577.

* Tue Oct 19 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-111
- Respect kdump_pre and default in kdump.init, resolve bug 640577.

* Mon Oct 18 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-110
- Use ssh-copy-id to copy ssh keys. Resolves bug 643325.

* Mon Oct 18 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-109
- Avoid baking up ld.so.cache. Resolves bug 642921.

* Fri Oct 01 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-108
- Fixed buffer size for ppc devtree (bz 625828)

* Tue Aug 31 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-107
- Regenerate modules.dep. Resolves bug 576075.

* Tue Aug 31 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-106
- Support dumping over bridge. Resolves bug 558733.

* Tue Aug 24 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-105
- Fix vmcore save path in kdump.init. Resolves bug 379521.

* Mon Jul 12 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-104
- Disable kdump service inside xen-guest. Resolves bug 608322.

* Wed Jul 07 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-103
- Choose a temp directory before using it. Resolves bug 530265.

* Wed Jul 07 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-102
- Fix the missing libc on power6. Resolves bug 601273.

* Tue Jun 29 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-101
- Add "poweroff" option to default actions of kdump.conf, resolves
  bug 543336

* Fri Jun 18 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-100
- Make ssh auth key file configurable, resolves bug 567708

* Fri Jun 18 2010 Amerigo Wang <amwang@redhat.com> - 1.102pre-99
- save and restore ld.so.cache, resolves bug 589768

* Fri May 07 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-98
- Dave Maley's patch for kexec 40 bit phys addrs (bz 585979)

* Thu Apr 08 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-97
- Fix 64GB limit on PAE (bz 559928)

* Mon Mar 08 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-96
- Fix nfs on ppc typo (bz 569119)

* Tue Mar 02 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-95
- Fix mkdumprd to find glibc on ppc & make nfs work (bz 569119)

* Tue Feb 23 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-94
- Fix mkdumprd to check for read only nfs (bz 533565)

* Thu Jan 28 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-93
- Fixed missing libc copy in ia64 mkdumprd (bz 559126)

* Mon Jan 25 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-92
- Fix nfs DNS lookups (bz 549946)

* Tue Jan 19 2010 Neil Horman <nhorman@redhat.com> - 1.102pre-91
- Fix nfs DNS lookups (bz 549946)

* Fri Dec 11 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-90
- Fix use of ip address in mkdumprd for NFS (bz 545980)

* Fri Dec 04 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-89
- Enhanced makedumpfile to allow refiltering (bz 516877)

* Mon Nov 16 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-88
- Fixed missing case in xen + bonding (bz 516907)

* Thu Nov 05 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-87
- Fixed E820 map truncation at 32 entries (bz 531340)

* Tue Oct 29 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-86
- Update mkdumprd to support dom0 systems w/ bonding (bz 516907)

* Tue Oct 27 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-85
- Fix docs (bz 531244)

* Fri Oct 23 2009 Neil Horman <nnorman@redhat.com> - 1.102pre-84
- Add notes in docs about use of fqdn (bz 510816)

* Tue Oct 13 2009 Neil Horman <nnorman@redhat.com> - 1.102pre-83
- let initscript strip mem= param from command line (bz 239791)

* Tue Oct 13 2009 Neil Horman <nnorman@redhat.com> - 1.102pre-82
- Add cp core_collector example (bz 511003)

* Tue Oct 13 2009 Neil Horman <nnorman@redhat.com> - 1.102pre-81
- Fix missing cleanup of tmp files (bz 512098)

* Tue Sep 29 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-80
- Fix grep quoting that kill kdump initalization (bz 509404)

* Mon Sep 28 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-79
- Augment mkdumprd to allow crit disk timeout (bz 500741)

* Fri Sep 25 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-78
- Fix usb module loading in mkdumprd (bz 513608)

* Tue Jul 21 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-77
- Fix a few cosmetic errors in mdadm setup (bz 351588)

* Tue Jul 07 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-76
- Raised default dump level on makedumpfile (bz 466436)

* Wed Jun 24 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-75
- Fixed mkdumprd to pickup all needed virtio modules (bz 506863)

* Fri Jun 19 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-74
- Fixed error with usb keyboards (bz 506652)

* Fri Jun 12 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-73
- Initialized machdep info for dump-dmesg properly (bz 475414)

* Thu Jun 11 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-72
- Picked up some more fixes for HP systems (bz 277531)
- Initialized machdep info for dump-dmesg (bz 475414)

* Wed Jun 10 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-71
- Fix segfault in makedumpfile on ia64 (bz 504895)

* Mon Apr 27 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-70
- Adding some missing bits for dump-dmesg (bz 475414)

* Mon Apr 27 2009 Neil Horman <nhorman@redhat.com> - 1.102pre-69
- Fix mkdumprd to clean up /tmp (bz 483092)

* Thu Apr 23 2009 Neil Horman <nhorman@redhat.com> -1.102pre-68
- Enhance makedumpfile to add utsname in header (bz 497021)

* Wed Apr 22 2009 Neil Horman <nhorman@redhat.com> -1.102pre-67
- fix error messages when mount fails (bz 496965)
- make fsck non-interactive with -y (bz 497012)

* Mon Apr 20 2009 Neil Horman <nhorman@redhat.com> -1.102pre-66
- Update kdump docs to further clarify how they work (bz 494473)

* Wed Apr 15 2009 Neil Horman <nhorman@redhat.com> -1.102pre-65
- Suppress warnings from route command (bz 495601)

* Mon Apr 13 2009 Neil Horman <nhorman@redhat.com> -1.102pre-64
- Update mkdumprd to always support usb keyboards (bz 494782)

* Tue Apr 07 2009 Neil Horman <nhorman@redhat.com> -1.102pre-63
- Update kdump initscript to offer condrestart (bz 494483)
- Update mkdumprd to use hostnames for ssh (bz 493690)

* Tue Mar 31 2009 Neil Horman <nhorman@redhat.com> -1.102pre-62
- Add dump-dmesg option to makedumpfile (bz 475414)

* Tue Mar 31 2009 Neil Horman <nhorman@redhat.com> -1.102pre-61
- Add hack to get mkdumprd to include stat_nv (bz 476368)

* Mon Mar 23 2009 Neil Horman <nhorman@redhat.com> -1.102pre-60
- Improved mkdumprds ability to parse mdadm configs (bz 490818)

* Fri Jan 30 2009 Neil Horman <nhorman@redhat.com> -1.102pre-59
- Fixed some bad status msgs on ssh target (bz 466450)
- Fixed ability to detect md arrays (bz 479211)

* Thu Jan 29 2009 Neil Horman <nhorman@redhat.com> -1.102pre-58
- Add --noio for HP rx series boxes in spec file (bz 277531)
- Add fix for newer EFI firmware on ia64 (bz 473730)
- Add fix to mkdumprd for newline in ifcfg files (bz 476063)

* Mon Dec 22 2008 Neil Horman <nhorman@redhat.com> -1.102pre-57
- Add reserved regions on kdump cmdline (bz 475843)

* Tue Dec 09 2008 Neil Horman <nhorman@redhat.com> -1.102pre-56
- exclude gart apeture on x86_64 to avoid resetting (bz 475505>

* Tue Dec 09 2008 Jarod Wilson <jarod@redhat.com> -1.102pre-55
- Fix IDE CD-ROM hang fix fix even more (bz 254163)

* Wed Dec 03 2008 Jarod Wilson <jarod@redhat.com>  -1.102pre-54
- Fix critical_disk list _again_, only include existing entries (bz 474343)

* Wed Dec 03 2008 Jarod Wilson <jarod@redhat.com>  -1.102pre-53
- Fix regression in sanity checking critical disks (bz 472575)

* Tue Dec 02 2008 Jarod Wilson <jarod@redhat.com>  -1.102pre-52
- Abort mkdumprd if devices in fstab can't be found (bz 472575)
- Fix IDE CD-ROM hang fix further, add hdX=noprobe for the
  non-cdrom hdX's (bz 254163)

* Tue Nov 25 2008 Neil Horman <nhorman@redhat.com> -1.102pre-51
- Fixed missing quote in init script (bz 459614)

* Wed Nov 05 2008 Neil Horman <nhorman@redhat.com> -1.102pre-50
- Add noverification to /etc/sysconfig/kdump (bz 469147)

* Mon Nov 03 2008 Neil Horman <nhorman@redhat.com> -1.102pre-49
- Corrected fix for bz 469147
- marked kdump.conf as noverify to suprress rpm sillyness (bz 469147)

* Fri Oct 24 2008 Neil Horman <nhorman@redhat.com> -1.102pre-48
- Fix silly makedumpfile unlink (bz 468199)

* Thu Oct 23 2008 Neil Horman <nhorman@redhat.com> -1.102pre-47
- Fix partition table re-read (bz 442678)

* Tue Oct 07 2008 Neil Horman <nhorman@redhat.com> -1.102pre-46
- Re fix bz 463878

* Tue Oct 07 2008 Neil Horman <nhorman@redhat.com> -1.102pre-45
- Fixed ability to drop to shell (bz 465453)
- Fixed typo in changelog (bz 465445)
- Fixed ability to handle raid5 partitions (bz 465361)

* Tue Sep 30 2008 Neil Horman <nhorman@redhat.com> -1.102pre-44
- Supress errors from dd from dev mem (bz 463915)

* Tue Sep 30 2008 Neil Horman <nhorman@redhat.com> -1.102pre-43
- Re Fix bz 462864

* Mon Sep 29 2008 Neil Horman <nhorman@redhat.com> -1.102pre-42
- Properly escape quotes for disk labels/uuids (bz 463878)

* Tue Sep 23 2008 Neil Horman <nhorman@redhat.com> -1.102pre-41
- Fix kdump.conf man page to correct default directive (bz 463404)
- Fix makedumpfile to not build wrong filter bitmap (bz 462864)

* Fri Sep 19 2008 Neil Horman <nhorman@redhat.com> -1.102pre-40
- Fix silly grammatical errors (bz 462829)

* Fri Sep 19 2008 Jarod Wilson <jarod@redhat.com>  -1.102pre-39
- Fix failure to capture vmcore when a panic triggers while
  an IDE CD-ROM drive is busy (bz254163)

* Fri Sep 19 2008 Neil Horman <nhorman@redhat.com> -1.102pre-38
- Fix CORE_COLLECTOR usage in mkdumprd (bz462683) 

* Wed Sep 10 2008 Neil Horman <nhorman@redhat.com> -1.102pre-37
- Fix typo in init script (bz 461616)
- Make kexec link statically to libz (bz 461551)

* Mon Sep 08 2008 Neil Horman <nhorman@redhat.com> -1.102pre-36
- Fix mkdumprd to support multiple bonds (bz 459879)

* Tue Sep 02 2008 Neil Horman <nhorman@redhat.com> -1.102pre-35
- Enhancing our rebuild detection (bz 459614)

* Tue Aug 26 2008 Neil Horman <nhorman@redhat.com> -1.102pre-34
- incorporate patch for kexec to parse vmcoreinfo on xen (bz 441629)

* Mon Aug 25 2008 Neil Horman <nhorman@redhat.com> -1.102pre-33
- Fix mkdumprd to support options directive (bz 459686)
- Update kdump.conf man page to clarify msh use (bz 459622)

* Tue Aug 12 2008 Neil Horman <nhorman@redhat.com> -1.102pre-32
- dchapman fix for handling md/cciss devs (bz 458702)

* Thu Aug 08 2008 Neil Horman <nhorman@redhat.com> -1.102pre-31
- Fix kdump.init script to not snoop kdump.conf (bz 457904)

* Mon Aug 04 2008 Neil Horman <nhorman@redhat.com> -1.102pre-30
- Fix mkdumprd to not parse comments in mdadm.conf (bz 457758)

* Wed Jul 23 2008 Neil Horman <nhorman@redhat.com> -1.102pre-29
- Fixed conflixt with xen net-bridge at start (bz 451696)

* Tue Jul 22 2008 Neil Horman <nhorman@redhat.com> -1.102pre-28
- Fixed mdadm device parsing (bz 456154)

* Fri Jul 18 2008 Neil Horman <nhorman@redhat.com> -1.102pre-27
- Added support for xen-phys-start in makedumpfile (bz 442862)

* Thu Jun 26 2008 Neil Horman <nhorman@redhat.com> -1.102pre-26
- Added kdump.conf.5 man page (bz 451061)

* Mon Jun 23 2008 Neil Horman <nhorman@redhat.com> -1.102pre-25
- Fixed overlapping segment issue on ia64 (bz 449111)

* Tue Jun 10 2008 Neil Horman <nhorman@redhat.com> -1.102pre-24
- Fix makedumpfile to have help option (bz 450549)

* Wed May 28 2008 Neil Horman <nhorman@redhat.com> -1.102pre-23
- Fixed ppc64 kexec to make a page_size section for rtas (bz 438056)
- Added udev rules to restart kdump on mem/cpu hotplug (bz 446423)

* Thu May 22 2008 Neil Horman <nhorman@redhat.com> -1.102pre-22
- Start here for 5.3 errata
- Fixed mkdumprd to wait for critical bdevs (bz 446279)
- Fixed mkdumprd to not spew ld.conf warnings (bz 438459)
- Fixed mkdumprd to not do extra efirtc create (bz 438755)
- Enhanced mkdumprd to display progress (bz 223892)
- Fixed mkdumprd to handle non-default lvm names (bz 360111)
- Fixed howto to reflect correct scp use (bz 440983)
- Fixed mkdumprd man page (bz 444824)

* Thu Apr 10 2008 Neil Horman <nhorman@redhat.com> -1.102pre-21
- RHEL 5.2 release version
- Fix phys_base to handle a missed case (bz 441427)

* Tue Apr 08 2008 Neil Horman <nhorman@redhat.com> -1.102pre-20
- Fix x86_64 to use phy_base if found in elf notes (bz 441427)

* Tue Apr 08 2008 Neil Horman <nhorman@redhat.com> -1.102pre-19
- Fix ia64 to set kern_vaddr_start correctly (bz 439767)

* Fri Apr 04 2008 Neil Horman <nhorman@redhat.com> -1.102pre-18
- Fix kdump_pre command (bz 269761 & 436982)

* Fri Apr 04 2008 Neil Horman <nhorman@redhat.com> -1.102pre-17
- Fix kdump_pre command (bz 269761 & 436982)

* Wed Mar 26 2008 Neil Horman <nhorman@redhat.com> -1.102pre-16
- Fix zero sized vmcore on ia64 (bz 434927) (revisit for 5.3)

* Fri Mar 21 2008 Neil Horman <nhorman@redhat.com> -1.102pre-15
- Fixed triggerpostun to clean files properly (bz 432788)

* Thu Mar 20 2008 Neil Horman <nhorman@redhat.com> -1.102pre-14
- Fixed triggerpostun to clean files properly (bz 432788)

* Tue Mar 18 2008 Neil Horman <nhorman@redhat.com> -1.102pre-13
- Fixed triggerpostun to clean files properly (bz 432788)

* Wed Mar 13 2008 Neil Horman <nhorman@redhat.com> -1.102pre-12
- Fix cmdline length on x86 (bz 428310)

* Wed Feb 27 2008 Neil Horman <nhorman@redhat.com> -1.102pre-11
- Update makedumpfile so that flatten works on xen (bz 434789)

* Tue Jan 29 2008 Neil Horman <nhorman@redhat.com> -1.102pre-10
- Fix ia64 compile flags (bz 429014)
- Fix mkdumprd to correct module search (bz426840)

* Tue Jan 22 2008 Neil Horman <nhorman@redhat.com> -1.102pre-9
- Fix mkdumprd ldconfig generation for xen (bz 223925)

* Mon Nov 26 2007 Neil Horman <nhorman@redhat.com> -1.102pre-8
- Bump rev number for rebuild

* Tue Oct 23 2007 Neil Horman <nhorman@redhat.com> -1.102pre-7
- Fixed firstboot to not config kdump on pv (bz 319971)

* Mon Oct 22 2007 Neil Horman <nhorman@redhat.com> -1.102pre-6
- Fixed default_action bug (bz 345031)
- Removed obsolete norwegian translation (bz 335191)

* Tue Oct 09 2007 Neil Horman <nhorman@redhat.com> -1.102pre-5
- Fix software raid re-assmebly (bz 317231)

* Mon Oct 08 2007 Neil Horman <nhorman@redhat.com> -1.102pre-4
- Adding reset_devices to kernel command line (bz241212)

* Mon Oct 01 2007 Neil Horman <nhorman@redhat.com> -1.102pre-3
- Adjusted kexec vmcoreinfo patch to not fail if file not found

* Thu Sep 20 2007 Neil Horman <nhorman@redhat.com> -1.102pre-2
- enhanced kdump to support kdump_pre script (bz 269761)

* Thu Sep 13 2007 Neil Horman <nhorman@redhat.com> -1.102pre-1
- Update makedumpfile to use vmcoreinfo information (bz 253852)
- Update kexec-tools to latest testing tree from horms (bz 253852)
- Add vmcoreinfo retrieval patch (bz 253852)
- Update makedumpfile to 1.2.0 to use vmcoreinfo (bz 253852)
- modify mkdumprd to call makedumpfile properly w/ vmcoreinfo (bz 253852)

* Mon Sep 10 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.4
- Use PAE kernel for i686 xen kdump if mem > 4GB (bz 284821)
- Warn users in firstboot if they need kernel-PAE (bz 284841)

* Wed Sep 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-194.3
- fix location of ARCH computation (bz 279241)

* Fri Aug 24 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.2
- Only x86_64 xen kdump needs 32M offset (bz 244301)

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.1
- Add support for dumping to partitions on drives attached to cciss
  and cpqarray controllers (bz 228685)
- Minor updates to kdump initscript for xen kdump support (bz 244301)

* Wed Aug 08 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194
- Update kdump init script to look for crash kernel reservation in
  /proc/iomem so we can start up on xen kernels too (bz 250803)

* Fri Jul 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-193
- Cleaning up silly notification from makedumpfile (bz 248797)

* Wed Jul 18 2007 Neil Horman <nhorman@redhat.com> - 1.101-192
- Update makedumpfile to version 1.1.1 (bz 248235)
- reconcile mkdumprd options w/ man page (bz 247493)
- Fix some doc formatting (bz 247552)

* Tue Jul 17 2007 Neil Horman <nhorman@redhat.com> -1.101-191
- Modified kexec to retry on segment overlap from locate_hole (bz 247989)

* Mon Jul 09 2007 Neil Horman <nhorman@redhat.com> -1.101-190
- Modified mkdumprd to emit new mount detection code (bz 245570)

* Tue Jul 03 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-189
- Pull in updated firstboot translations (bz 223175)

* Thu Jun 28 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-188
- Fix regression in network dump setup introduced by changes to
  support adding arbitrary kernel modules (bz 223929)

* Wed Jun 27 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-187
- Fix up firstboot memory reservation detection for ppc64 (bz 245980)
- Minor formatting fix for post-script feature
- Don't allow user to try to set up kdump on ia64 xen (not supported)
- Nudge minimum allowed firstboot spinner values down a bit, but
  present same defaults as we always have

* Wed Jun 27 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-186
- Fix regression in network dump paths (bz 245952)

* Tue Jun 26 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-185
- Add translations for firstboot kdump module (bz 215318)
- Update kexec-kdump-howto.txt with new options

* Tue Jun 26 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-184
- Add ability to specify arbitrary kernel modules that should be
  included in kdump initrd (bz 223929)
- Add support for running a kdump post-capture script (bz 224101)
- Fix regression with default/empty kdump.conf introduced by adding
  support for halt option

* Fri Jun 22 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-183
- Add halt option to default actions in kdump initrd (bz 224098)
- Fix panic kernel load segfault regression on ppc64 (bz 245392)
- A few minor spec consistency clean-ups

* Fri Jun 22 2007 Neil Horman <nhorman@redhat.com> - 1.101-182
- Fixing goof in spec file for previous patch (bz 245187)

* Fri Jun 22 2007 Neil Horman <nhorman@redhat.com> - 1.101-181
- Fix makedumpfile to run on older kernels (bz 245187)

* Wed Jun 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-180
- Fix mkdumprd to use tmp dir on mount test (bz 222911)

* Tue Jun 19 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-179
- Make kdump work again on x86_64 post-xen-3.1-rebase (bz 244689)

* Tue Jun 19 2007 Neil Horman <nhorman@redhat.com> - 1.101-178
- Fixed mkdumprd to pull appropriate /proc/cmdline (bz 244649)

* Fri Jun 15 2007 Neil Horman <nhorman@redhat.com> - 1.101-177
- Updating some extra patches for xen (bz 244301)

* Wed Jun 13 2007 Jarod Wilson <jwilson@redhat.com - 1.101-176
- Update firstboot module for xen dom0 kdump support (bz 243931)

* Tue Jun 12 2007 Neil Horman <nhorman@redhat.com> - 1.101-175
- Update docs in kdump.conf (bz 222917)

* Fri Jun 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-174
- Add minimal xen support (on x86_64) (bz 243118)

* Fri May 25 2007 Neil Horman <nhorman@redhat.com> - 1.101-173
- Add ability to do use mkdumpfile over shh (bz 223743)

* Fri May 11 2007 Neil Horman <nhorman@redhat.com> - 1.101-172
- Fix ppc64 Dynamic memory range issue (bz 228135)

* Tue May 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-171
- Fix authorized_keys2 permission problem (bz 235986)

* Mon Apr 02 2007 Neil Horman <nhorman@redhat.com> - 1.101-170
- Fix nfs dump case to not copy to initramfs (bz 215056)

* Wed Mar 21 2007 Neil Horman <nhorman@redhat.com> - 1.101-169
- Fix memory rang OBO problem in ppc64 (bz 233312)

* Tue Feb 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-168
- Fixed mkdumprd to only report save core completion, not location (bz 228934)

* Tue Feb 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-167
- Pulled bzimage fix from devel/upstream (bz 229069)
 
* Thu Feb 15 2007 Neil Horman <nhorman@redhat.com> - 1.101-166
- Include mkdumprd man page (bz 223729)
- Fix kdump.conf perms 
- Fix documentation to reference other sources (bz 228861)
- Fix mkdumprd typo (bz 224623)
- Fix mkdumprd to use getent (bz 223247)
 
* Fri Jan 26 2007 Neil Horman <nhorman@redhat.com> - 1.101-165
- Update kdump.init to report kexec errors (bz 220906)

* Tue Jan 23 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-164
- Touch kdump.conf when kernel-kdump is installed to trigger
  proper kdump initrd creation on ppc64 (bz 217908)

* Wed Jan 10 2007 Neil Horman <nhorman@redhat.com> - 1.101-163
- Reformatted docs to be 80 cols and did some clarification (bz 222189)

* Tue Jan 09 2007 Neil Horman <nhorman@redhat.com> - 1.101-162
- Fixed firstboot confusion over detection of xen kernels (bz 221983)

* Mon Jan 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-161
- Fixing corner case for ssh df check (bz 221641)

* Fri Jan 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-160
- Update mkdumprd to warn if insufficient space available (bz 221641)

* Fri Jan 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-159
- Update mkdumprd to warn if compression w/o locations specified (bz 221623)

* Thu Jan 04 2007 Neil Horman <nhorman@redhat.com> - 1.101-158
- Remove sourcing of unneeded mkinitrd files (bz 221410)

* Thu Jan 04 2007 Neil Horman <nhorman@redhat.com> - 1.101-157
- Fix mkdumprd to ensure a default route is available (bz 220901)

* Tue Jan 02 2007 Neil Horman <nhorman@redhat.com> - 1.101-156
- Fixing ppc64 memory range sizing (bz 220626)
- Adding doc content to prevent use of vfat/msdos fs as dump targets

* Wed Dec 20 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-155
- Fix ia64/elilo boot param updating in firstboot module (bz 220351)
- Set min/max mem in firstboot module to zero if running on xen kernel

* Wed Dec 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-154
- Fixing regex in load_kernel to properly strip crashkernel= line

* Tue Dec 19 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-153
- Fix container sizes in updated ia64 phdr patch (bz 220276)

* Tue Dec 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-152
- Add check to provide a detailed error for lack of crashkernel= (bz 220198)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-151
- Removing kcp directory creation from build
- Updating ia64 phdr patch to upstream version (bz 218503)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-150
- Fixing mkdumprd escape error (bz 220089)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-149
- Added test for SGI specific option to spec file (bz218052/218487)

* Thu Dec 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-148
- Update initscript to use 64 bit ELF headers for PAE (bz 219528)

* Thu Dec 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-147
- Fixed some typos in kdump.conf
- Fixed propogate command when target .ssh dir doesn't exist (bz 219526)

* Tue Dec 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-146
- Adding more makedumpfile use description to docs (bz 219282)

* Mon Dec 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-145
- Fixing ia64 kernel cmdline args for HP/SGI (bz 218667)

* Fri Dec 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-144
- Update to makedumpfile-1.0.7 to fix ELF32/64 issue (bz 218325)
- Update spec file to build makedumpfile for ppc64
- remove strip command from specfile to get debuginfo for makedumpfile

* Tue Dec 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-143
- Updated ppc64 sysconfig file to prevent panic on boot (bz 215096)

* Mon Dec 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-142
- Fixed bad check in initscript for KEXEC_ARGS (bz 217780)

* Mon Dec 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-141
- Fixed firstboot to properly disable service (bz 216430)
- Fixed initscript to properly set elf header size (bz 217780)

* Fri Dec 01 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-140
- Don't enable kdump by default, let user turn it on (bz 214550)

* Fri Dec 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-139
- Pulled in a few ia64 patches (bz 218105)

* Wed Nov 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-138
- Fixing additional lhost determination problem in mkdumprd (bz 216736)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-137
- Fix up firstboot module spinner limits (bz 217744)
- Added check to make sure net interfaces are up
- Added feature to allow for post link up sleep (bz 216736)

* Tue Nov 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-136
- Rev makedumpfile to v1.0.6 with fix for -E (bz 216162)

* Fri Nov 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-135
- Rev makedumpfile to 1.0.5 for ppc64 support and ia64 fix (bz 215359)

* Thu Nov 16 2006 Neil Horman <nhorman@redhat.com> - 1.101-134
- Fixing elf core type on x86 arches (bz 215202)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-133
- Fix malloc problem in ia64 kexec (bz 213899)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-132
- Fix mkdumprd to unmount before reboot (bz 215545)
- Fixed exactmap passing for x86_64 (bz 215437)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-131
- Fixing initscript return code mishandling for start case (bz 215428)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-130
- Fixing initscript to check $? properly

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-129
- Fixing broken start conditional

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-128
- Fixing initscript to do status properly (bz 215348)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-127
- Fix mkdumprd to determine net driver name in absence of modalias (bz 215060)
- Fix mkdumprd to check exit code of dd on raw target (bz 215061)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-126
- fix up kdump.init to indicate non-working status on xen kernels

* Wed Nov 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-124
- Clean up kdump.conf to make it more legible (bz 214518)

* Tue Nov 07 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-123
- Update documentation to detail setting up raw partition, dedicated
  file system, nfs and ssh dumps (bz 198841)
- Use dedicated key for ssh dumps
- Enable ssh dumps using non-root user on destination system
- Rewrap kdump.conf to under 80 chars per line

* Tue Nov 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-122
- Add ppc64 support to makedumpfile (bz 214390)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-121
- Fix non-root lv  detection/activation (bz 213688)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-120
- supress kexec messages from stderr (bz 212410)
- fix mkdumprd to present proper name when run with --version (bz 213695)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-119
- Update mkdumprd to support dmraid devices properly (bz 213686)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-118
- Fix silly missing return statement for bz 212744

* Wed Nov 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-117
- removing extraneous mkdumprd code (bz 212189)

* Wed Nov 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-116
- further cleanups on firstboot_kdump.py (bz 213494)
- modify status function in kdump.init to report no support (bz 212744)

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-115
- Fixing silly mistake in packaging of makedumpfile for ia64

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-114
- Adding ia64 to arches that can build/run makedumpfile (bz 212846)

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-113
- Fixing failed execs to grubby + chkconfig in firstboot (bz 212734)
- Fix startup on xen kernel to properly indicate lack of support (bz 212744)

* Mon Oct 30 2006 Neil Horman <nhorman@redhat.com> - 1.101-112
- Fixing start_process call in firstboot_kdump (bz 212734)

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-111
- Changing requires to have minimum version of busybox

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-110
- Fixed triggerin script to not error out in the event of an existing symlink

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-109
- Fixing mkdumprd to include proper libs for ppc64 (bz 212568)

* Thu Oct 26 2006 Neil Horman <nhorman@redhat.com> - 1.101-108
- Fixing up default action case to always occur last (bz 212192)

* Wed Oct 25 2006 Neil Horman <nhorman@redhat.com> - 1.101-107
- Removing old hack patch for relocatable kernels
- Rediffing other patches to work with previous patch removed

* Tue Oct 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-106
- Added firstboot support

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-105
- Fix mkdump to exit on bad ssh server specification (bz 211678)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-104
- Adding syslog message logging to kdump initscript (bz 211650)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-103
- Obsoleting netdump/diskdump for appropriate arches (bz 211647)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-102
- Rediffing some patches to avoid fuzz
- fix ia64 icache alignment issue (bz 211258)

* Thu Oct 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-101
- Fixing documentation in kdump.conf

* Thu Oct 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-100
- Update kdump initscript to do FAILED/OK printing to console (bz 211303)
- remove initial rpm install initramfs build clause in initscript (bz 211350)

* Tue Oct 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-99
- Moved maxcpus/irqpoll kcommand line params to individual sysconfig files
 
* Tue Oct 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-98
- Integrate some kexec relocation fixes (bz 207598)

* Mon Oct 16 2006 Neil Horman <nhorman@redhat.com> - 1.101-97
- Fix up initscript to add ability to propagate ssh keys
- Fix up mkdumprd to indicate need to run service kdump propagate on err
- Add proper OK/FAIL output to start/stop routines

* Fri Oct 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-96
- Fixing ifdown operation when kdump not loaded (bz 210497)

* Fri Oct 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-95
- Change kdump initscript to do run status in sysfs

* Thu Oct 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-94
- Fixing EFI bug on ia64 (bz 210472)
- Fixed minor bug in rename_interface script to reset MASTER
- Fixed vlan device renaming in map_interface
- Adjusted interfaces file for ifup sensitivity to static spec

* Thu Oct 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-93
- Fixing umount exit bug (bz 210416)

* Wed Oct 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-92
- Add ability to specify path in kdump.conf (bz 210056)

* Wed Oct 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-91
- fix mkdumprd to include makedumpfile in all cases where required

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-90
- Enhance kdump - dump target specificaion via LABEL/UUID (bz 210174)

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-89
- fix mkdumprd exit code check in kdump initscript (bz 210098)

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-88
- fix kdump.conf to remove non-existant example ifc (bz 209190)

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-87
- fix map_interface to send error stream from ls to null (bz210035)

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-86
- fix rename_interface script to do busybox friendly var passing

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-85
- fix ROOTDEV parsing (bz 209777)

* Fri Oct 06 2006 Neil Horman <nhorman@redhat.com> - 1.101-84
- Exclude 32 bit ppc from build (bz 208984)

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-83
- update mkdumprd to set time right (bz 209358)
- removing now obsolete kcp from source tree

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-82
- update initscript to write to vmcore-incomplete (bz 209465)

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-81
- update mkdumprd to detect missing debuginfo pkg (bz 209342)
- update mkdumprd to use new mkdumpfile systam (bz 209342)
- strip makedumpfile to make smaller initramfs
- fix check with makedumpfile to use supported dump targets
- write to vmcore-incomplete and move to vmcore (bz 209465)
- remove ifc cruft from mkdumprd

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-80
- Update makedumpfile to version 1.0.1 with several fixes/updates
- remove now obsolete kcp utilty from build

* Wed Oct 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-79
- Did some script cleanup to reduce initrd footprint size

* Wed Oct 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-78
- Removed setquiet from init script (bz 209198)
- Fixed up docs in kdump.conf (bz 209190)
- Corrected block device creation logic (bz 209162)
- Fixed date format (bz 209189)

* Tue Oct 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-77
- update mkdumprd to enable vlan support in initrd (bz 206946)

* Tue Oct 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-76
- Replace standalone findfs with busybox version to save space

* Mon Oct 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-75
- Update mkdumprd to support bonding from initramfs
- Update mkdumprd to support finding root filesystems by uuid/label
 
* Thu Sep 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-74
- Update kdump to use correct coding standards for chkconfig

* Thu Sep 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-73
- Update mkdumprd to support network interface dependancy (for bond/vlans)

* Tue Sep 26 2006 Neil Horman <nhorman@redhat.com> - 1.101-72
- update mkdumprd to properly pull dev name in routed/unrouted setup

* Sat Sep 23 2006 Neil Horman <nhorman@redhat.com> - 1.101-71
- fix package requires

* Fri Sep 22 2006 Neil Horman <nhorman@redhat.com> - 1.101-70
- rewrite mkdumprd to use busybox

* Mon Sep 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-69
- Added docs to describe kexec-kdump configuration

* Fri Sep 15 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-68
- Updated ppc64 64k page support patch

* Thu Sep 14 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-67
- Add missing part of ia64 kdump support patch

* Thu Sep 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-66
- remove args-linux from kdump.init standard args (bz 206355)
- fixup some kdump initscript exit codes (bz 206342)

* Wed Sep 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-65
- Update kdump.init to support appending items to kcommand line (bz 206304)

* Wed Sep 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-64
- Update mkdumprd to include libnss_[files&compat] for ssh/scp

* Tue Sep 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-63
- Update mkdumprd to include an /etc/passwd file
- Update mkdumprd to unmount /mnt before trying to do rootfs mount

* Tue Sep 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-62
- Update kdump.init to check kdump.status on startup op
- Update kdump.init to include maxcpus=1 on KDUMP_COMMANDLINE
- Update kdump.init to rebuild initrd if none found 
- Update mkdumprd to universally include /bin/cp

* Mon Sep 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-61
- Reverting kdump.init again, as it seems to have not worked last time

* Fri Sep 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-60
- Reverting kdump.init to version 1.11 for bz (205814).

* Fri Sep 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-59
- Fix /proc/vmcore detection to ignore zero sized files (bz 205784)

* Thu Sep 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-58
- Updated spec file to force kdump on during install

* Thu Sep 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-57
- updated mkdumprd infrastructure to enable use of makedumpfile

* Tue Sep 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-56
- update kexec-tools to support 64k pages on ppc64 arch

* Thu Aug 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-55
- update mkdumprd to properly handle scp and nfs dumping
- fix typo in kcp.c
- update docs in kdump.conf to reflect new ifc parameter

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-54
- integrate default elf format patch

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-53
- Taking Viveks x86_64 crashdump patch (rcv. via email)

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-52
- Taking ia64 tools patch for bz 181358

* Mon Aug 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-51
- more doc updates
- added patch to fix build break from kernel headers change

* Thu Aug 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-50
- repo patch to enable support for relocatable kernels.

* Thu Aug 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-49
- rewriting kcp to properly do ssh and scp
- updating mkdumprd to use new kcp syntax

* Wed Aug 23 2006 Neil Horman <nhorman@redhat.com> - 1.101-48
- Bumping revision number 

* Tue Aug 22 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-47
- ppc64 no-more-platform fix

* Mon Aug 21 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-46
- ppc64 fixups:
  - actually build ppc64 binaries (bug 203407)
  - correct usage output
  - avoid segfault in command-line parsing
- install kexec man page
- use regulation Fedora BuildRoot

* Fri Aug 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-45
- fixed typo in mkdumprd for bz 202983
- fixed typo in mkdumprd for bz 203053
- clarified docs in kdump.conf with examples per bz 203015

* Tue Aug 15 2006 Neil Horman <nhorman@redhat.com> - 1.101-44
- updated init script to implement status function/scrub err messages
 
* Wed Aug 09 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-43
- Misc spec cleanups and macro-ifications

* Wed Aug 09 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-42
- Add %dir /var/crash, so default kdump setup works

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-41.1
- fix another silly makefile error for makedumpfile 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-40.1
- exclude makedumpfile from build on non-x86[_64] arches 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-39.1
- exclude makedumpfile from build on non-x86[_64] arches 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-38.1
- updating makedumpfile makefile to use pkg-config on glib-2.0

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-37.1
- updating makedumpfile makefile to use pkg-config

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-36.1
- Removing unneeded deps after Makefile fixup for makedumpfile

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-35.1
- fixing up FC6/RHEL5 BuildRequires line to build in brew

* Wed Aug 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-34.1
- enabling makedumpfile in build

* Wed Aug 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-33.1
- added makedumpfile source to package

* Mon Jul 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-32.1
- added et-dyn patch to allow loading of relocatable kernels

* Thu Jul 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-30.1
- fixing up missing patch to kdump.init

* Wed Jul 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-30.1
- add kexec frontend (bz 197695)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.101-29.1
- rebuild

* Wed Jul 07 2006 Neil Horman <nhorman@redhat.com> 1.101-27.fc6
- Buildrequire zlib-devel

* Thu Jun 22 2006 Neil Horman <nhorman@redhat.com> -1.101-19
- Bumping rev number

* Thu Jun 22 2006 Neil Horman <nhorman@redhat.com> -1.101-17
- Add patch to allow ppc64 to ignore args-linux option

* Wed Mar 08 2006 Bill Nottingham <notting@redhat.com> - 1.101-16
- fix scriptlet - call chkconfig --add, change the default in the
  script itself (#183633)

* Wed Mar 08 2006 Thomas Graf <tgraf@redhat.com> - 1.101-15
- Don't add kdump service by default, let the user manually add it to
  avoid everyone seeing a warning.

* Tue Mar 07 2006 Thomas Graf <tgraf@redhat.com> - 1.101-14
- Fix kdump.init to call kexec from its new location

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 1.101-13
- proper requires for scriptlets

* Mon Mar 06 2006 Thomas Graf <tgraf@redhat.com> - 1.101-12
- Move kexec and kdump binaries to /sbin

* Thu Mar 02 2006 Thomas Graf <tgraf@redhat.com> - 1.101-11
- Fix argument order when stopping kexec

* Mon Feb 27 2006 Thomas Graf <tgraf@redhat.com> - 1.101-10
- kdump7.patch
   o Remove elf32 core headers support for x86_64
   o Fix x86 prepare elf core header routine
   o Fix ppc64 kexec -p failure for gcc 4.10
   o Fix few warnings for gcc 4.10
   o Add the missing --initrd option for ppc64
   o Fix ppc64 persistent root device bug
- Remove --elf32-core-headers from default configuration, users
  may re-add it via KEXEC_ARGS.
- Remove obsolete KEXEC_HEADERS
* Wed Feb 22 2006 Thomas Graf <tgraf@redhat.com> - 1.101-9
- Remove wrong quotes around --command-line in kdump.init

* Fri Feb 17 2006 Jeff Moyer <jmoyer@redhat.com> - 1.101-8
- Fix the service stop case.  It was previously unloading the wrong kernel.
- Implement the "restart" function.
- Add the "irqpoll" option as a default kdump kernel commandline parameter.
- Create a default kernel command line in the sysconfig file upon rpm install.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.101-7.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Thomas Graf <tgraf@redhat.com> - 1.101-7.1
- Add patch to enable the kdump binary for x86_64
* Wed Feb 01 2006 Thomas Graf <tgraf@redhat.com>
- New kdump patch to support s390 arch + various fixes
- Include kdump in x86_64 builds
* Mon Jan 30 2006 Thomas Graf <tgraf@redhat.com>
- New kdump patch to support x86_64 userspace

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Nov 16 2005 Thomas Graf <tgraf@redhat.com> - 1.101-5
- Report missing kdump kernel image as warning
 
* Thu Nov  3 2005 Jeff Moyer <jmoyer@redhat.com> - 1.101-4
- Build for x86_64 as well.  Kdump support doesn't work there, but users
  should be able to use kexec.

* Fri Sep 23 2005 Jeff Moyer <jmoyer@redhat.com> - 1.101-3
- Add a kdump sysconfig file and init script
- Spec file additions for pre/post install/uninstall

* Thu Aug 25 2005 Jeff Moyer <jmoyer@redhat.com>
- Initial prototype for RH/FC5
